Processing "raster layer statistics" python error

2014-05-30 10:19 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18819

Description

This in QGIS master

unpack requires a string argument of length 11104 See log for more details

and in the log

Uncaught error while executing algorithm

Traceback (most recent call last):

Traceback (most recent call last):

  File "/home/giovanni/.qgis2/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute

    self.processAlgorithm(progress)

  File "/home/giovanni/.qgis2/python/plugins/processing/algs/qgis/RasterLayerStatistics.py", line 66, in processAlgorithm

    for v in values:

  File "/home/giovanni/.qgis2/python/plugins/processing/tools/raster.py", line 42, in scanraster

    values = struct.unpack('f' * band.XSize, scanline)

error: unpack requires a string argument of length 11104

Related issues:

Related to QGIS Application - Bug report # 12094: Processing: Raster layer hi... Closed 2015-01-29

History

#1 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#2 - 2014-11-22 01:18 AM - Alexander Bruy

- Category changed from 94 to Processing/QGIS

#3 - 2015-01-31 01:10 PM - Giovanni Manghi

- Assignee changed from Victor Olaya to Giovanni Manghi

fixed with https://github.com/qgis/QGIS/pull/1872

#4 - 2015-02-03 12:13 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/1872

